Pocket Plane Group

Friends and Neighbors => Weimer Republic (WeiDU.org) => WeiDU => Topic started by: Angel on January 28, 2019, 03:51:36 PM

Title: GAME_INCLUDES "sod" throws a (harmless) warning on BG2(EE) installs
Post by: Angel on January 28, 2019, 03:51:36 PM
When installing a mod on BG2(EE) that uses 'GAME_INCLUDES "sod" ', WeiDU throws a (harmless) warning:

WARNING: No rule to identify SOD

Nothing is actually broken and everything installs as it is supposed to.  The warning does not appear when installing on BGT or BG1EE (I haven't tried other types).

Title: Re: GAME_INCLUDES "sod" throws a (harmless) warning on BG2(EE) installs
Post by: Wisp on January 29, 2019, 01:04:32 PM
I can't reproduce. Please verify that you are not using an old version of WeiDU on your BG2EE game, or otherwise. Current version is 24600.
Title: Re: GAME_INCLUDES "sod" throws a (harmless) warning on BG2(EE) installs
Post by: Angel on January 30, 2019, 01:33:30 PM
Code: [Select]
angel@phoenix ~/iegames/BG2EE $ weidu --version
[weidu] WeiDU version 24600

angel@phoenix ~/iegames/BG2EE $ weidu --log setup-mih_ip.debug mih_ip/setup-mih_ip.tp2
[weidu] WeiDU version 24600
Using Language [English]

Using ./lang/en_us/dialog.tlk
WARNING: No rule to identify SOD
WARNING: No rule to identify SOD

Others have reported it as well, leading to many questions if my mod is broken.  TP2 file is here:
https://github.com/AngelGryph/MadeInHeaven_ItemPack/blob/master/mih_ip/setup-mih_ip.tp2
Title: Re: GAME_INCLUDES "sod" throws a (harmless) warning on BG2(EE) installs
Post by: Wisp on January 31, 2019, 12:21:37 PM
Oh, yeah. It happens if you do a GAME_INCLUDES for BG1 or TotSC. Fixed.